# User

***

## Generic information about user

> Get id, email, name, image and activation status

```json
{"openapi":"3.1.1","info":{"title":"ByteNite auth API","version":"0.1"},"tags":[],"servers":[{"url":"https://api.bytenite.com/v1/auth"}],"security":[{"BearerAuth":["read"]}],"components":{"securitySchemes":{"BearerAuth":{"type":"apiKey","description":"Your ByteNite access token","name":"Authorization","in":"header"}},"schemas":{"authUserInfoResponse":{"type":"object","properties":{"user":{"$ref":"#/components/schemas/userUser"}}},"userUser":{"type":"object","properties":{"id":{"type":"string","title":"User ID"},"createdAt":{"type":"string","format":"date-time","title":"User's account creation date"},"lastLogin":{"type":"string","format":"date-time","title":"User's last login date"},"displayName":{"type":"string","title":"User's display name"},"email":{"type":"string","title":"User's email address"},"settings":{"type":"object","title":"User's settings, stored as a JSON object"},"photoUrl":{"type":"string","title":"User's profile photo URL"},"providerId":{"type":"string","title":"Provider ID"},"emailVerified":{"type":"boolean","title":"User's email verification status"},"customClaims":{"type":"object","title":"User's custom claims"},"role":{"$ref":"#/components/schemas/commonRole","title":"User's role"},"firstName":{"type":"string","title":"User's first name"},"lastName":{"type":"string","title":"User's last name"},"contactInfo":{"$ref":"#/components/schemas/userContactInfo","title":"User's contact information, including company, job title, phone number, and address"},"disabled":{"type":"boolean","title":"Whether the user account is disabled"},"isOnboarded":{"type":"boolean","title":"Whether the user has completed onboarding"},"onboardingInfo":{"type":"array","items":{"$ref":"#/components/schemas/userOnboardingInfo"},"title":"Onboarding information filled out by the user"},"userName":{"type":"string","title":"User's username"}},"title":"These tables relate to attributes specific to the user"},"commonRole":{"type":"string","enum":["ROLE_NONE","ROLE_USER","ROLE_DEVELOPER","ROLE_ADMIN"],"default":"ROLE_NONE"},"userContactInfo":{"type":"object","properties":{"company":{"type":"string","title":"company name"},"jobTitle":{"type":"string","title":"job title"},"phoneNumber":{"type":"string","title":"phone number"},"address1":{"type":"string","title":"address line 1"},"address2":{"type":"string","title":"address line 2"},"city":{"type":"string","title":"city name"},"state":{"type":"string","title":"state name"},"zip":{"type":"string","title":"zip code"},"country":{"type":"string","title":"country name"}}},"userOnboardingInfo":{"type":"object","properties":{"step":{"type":"integer","format":"int32","title":"To indicate the current step in the onboarding process"},"answer":{"type":"object","title":"Capture user's answer for that particular step"}}},"rpcStatus":{"type":"object","properties":{"code":{"type":"integer","format":"int32"},"message":{"type":"string"},"details":{"type":"array","items":{"$ref":"#/components/schemas/protobufAny"}}}},"protobufAny":{"type":"object","properties":{"@type":{"type":"string","description":"A URL/resource name that uniquely identifies the type of the serialized\nprotocol buffer message. This string must contain at least\none \"/\" character. The last segment of the URL's path must represent\nthe fully qualified name of the type (as in\n'path/google.protobuf.Duration'). The name should be in a canonical form\n(e.g., leading \".\" is not accepted).\n\nIn practice, teams usually precompile into the binary all types that they\nexpect it to use in the context of Any. However, for URLs which use the\nscheme 'http', 'https', or no scheme, one can optionally set up a type\nserver that maps type URLs to message definitions as follows:\n\n* If no scheme is provided, 'https' is assumed.\n* An HTTP GET on the URL must yield a [google.protobuf.Type][]\n  value in binary format, or produce an error.\n* Applications are allowed to cache lookup results based on the\n  URL, or have them precompiled into a binary to avoid any\n  lookup. Therefore, binary compatibility needs to be preserved\n  on changes to types. (Use versioned type names to manage\n  breaking changes.)\n\nNote: this functionality is not currently available in the official\nprotobuf release, and it is not used for type URLs beginning with\ntype.googleapis.com.\n\nSchemes other than 'http', 'https' (or the empty scheme) might be\nused with implementation specific semantics."}},"additionalProperties":{},"description":"'Any' contains an arbitrary serialized protocol buffer message along with a\nURL that describes the type of the serialized message.\n\nProtobuf library provides support to pack/unpack Any values in the form\nof utility functions or additional generated methods of the Any type.\n\nExample 1: Pack and unpack a message in C++.\n\n    Foo foo = ...;\n    Any any;\n    any.PackFrom(foo);\n    ...\n    if (any.UnpackTo(&foo)) {\n      ...\n    }\n\nExample 2: Pack and unpack a message in Java.\n\n    Foo foo = ...;\n    Any any = Any.pack(foo);\n    ...\n    if (any.is(Foo.class)) {\n      foo = any.unpack(Foo.class);\n    }\n\n Example 3: Pack and unpack a message in Python.\n\n    foo = Foo(...)\n    any = Any()\n    any.Pack(foo)\n    ...\n    if any.Is(Foo.DESCRIPTOR):\n      any.Unpack(foo)\n      ...\n\n Example 4: Pack and unpack a message in Go\n\n     foo := &pb.Foo{...}\n     any, err := anypb.New(foo)\n     if err != nil {\n       ...\n     }\n     ...\n     foo := &pb.Foo{}\n     if err := any.UnmarshalTo(foo); err != nil {\n       ...\n     }\n\nThe pack methods provided by protobuf library will by default use\n'type.googleapis.com/full.type.name' as the type URL and the unpack\nmethods only use the fully qualified type name after the last '/'\nin the type URL, for example \"foo.bar.com/x/y.z\" will yield type\nname \"y.z\".\n\n\nJSON\n====\nThe JSON representation of an 'Any' value uses the regular\nrepresentation of the deserialized, embedded message, with an\nadditional field '@type' which contains the type URL. Example:\n\n    package google.profile;\n    message Person {\n      string first_name = 1;\n      string last_name = 2;\n    }\n\n    {\n      \"@type\": \"type.googleapis.com/google.profile.Person\",\n      \"firstName\": <string>,\n      \"lastName\": <string>\n    }\n\nIf the embedded message type is well-known and has a custom JSON\nrepresentation, that representation will be embedded adding a field\n'value' which holds the custom JSON in addition to the '@type'\nfield. Example (for message [google.protobuf.Duration][]):\n\n    {\n      \"@type\": \"type.googleapis.com/google.protobuf.Duration\",\n      \"value\": \"1.212s\"\n    }"}}},"paths":{"/user":{"get":{"summary":"Generic information about user","description":"Get id, email, name, image and activation status","operationId":"Auth_UserInfo","responses":{"200":{"description":"A successful response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/authUserInfoResponse"}},"application/x-protobuf":{"schema":{"$ref":"#/components/schemas/authUserInfoResponse"}}}},"400":{"description":"Returned when the users sends a malformed request.","content":{"application/json":{"schema":{}},"application/x-protobuf":{"schema":{}}}},"401":{"description":"Returned when the user is not authenticated.","content":{"application/json":{"schema":{}},"application/x-protobuf":{"schema":{}}}},"403":{"description":"Returned when the user does not have permission to access the resource.","content":{"application/json":{"schema":{}},"application/x-protobuf":{"schema":{}}}},"404":{"description":"Returned when the resource does not exist.","content":{"application/json":{"schema":{}},"application/x-protobuf":{"schema":{}}}},"500":{"description":"Returned when an error on the server occurred.","content":{"application/json":{"schema":{}},"application/x-protobuf":{"schema":{}}}},"503":{"description":"Returned when the resource is temporarily unavailable.","content":{"application/json":{"schema":{}},"application/x-protobuf":{"schema":{}}}},"default":{"description":"An unexpected error response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rpcStatus"}},"application/x-protobuf":{"schema":{"$ref":"#/components/schemas/rpcStatus"}}}}},"tags":["user"]}}}}
```

***

## Set user info

> Set editable user info

```json
{"openapi":"3.1.1","info":{"title":"ByteNite auth API","version":"0.1"},"tags":[],"servers":[{"url":"https://api.bytenite.com/v1/auth"}],"security":[{"BearerAuth":["read","write"]}],"components":{"securitySchemes":{"BearerAuth":{"type":"apiKey","description":"Your ByteNite access token","name":"Authorization","in":"header"}},"schemas":{"authUserInfoResponse":{"type":"object","properties":{"user":{"$ref":"#/components/schemas/userUser"}}},"userUser":{"type":"object","properties":{"id":{"type":"string","title":"User ID"},"createdAt":{"type":"string","format":"date-time","title":"User's account creation date"},"lastLogin":{"type":"string","format":"date-time","title":"User's last login date"},"displayName":{"type":"string","title":"User's display name"},"email":{"type":"string","title":"User's email address"},"settings":{"type":"object","title":"User's settings, stored as a JSON object"},"photoUrl":{"type":"string","title":"User's profile photo URL"},"providerId":{"type":"string","title":"Provider ID"},"emailVerified":{"type":"boolean","title":"User's email verification status"},"customClaims":{"type":"object","title":"User's custom claims"},"role":{"$ref":"#/components/schemas/commonRole","title":"User's role"},"firstName":{"type":"string","title":"User's first name"},"lastName":{"type":"string","title":"User's last name"},"contactInfo":{"$ref":"#/components/schemas/userContactInfo","title":"User's contact information, including company, job title, phone number, and address"},"disabled":{"type":"boolean","title":"Whether the user account is disabled"},"isOnboarded":{"type":"boolean","title":"Whether the user has completed onboarding"},"onboardingInfo":{"type":"array","items":{"$ref":"#/components/schemas/userOnboardingInfo"},"title":"Onboarding information filled out by the user"},"userName":{"type":"string","title":"User's username"}},"title":"These tables relate to attributes specific to the user"},"commonRole":{"type":"string","enum":["ROLE_NONE","ROLE_USER","ROLE_DEVELOPER","ROLE_ADMIN"],"default":"ROLE_NONE"},"userContactInfo":{"type":"object","properties":{"company":{"type":"string","title":"company name"},"jobTitle":{"type":"string","title":"job title"},"phoneNumber":{"type":"string","title":"phone number"},"address1":{"type":"string","title":"address line 1"},"address2":{"type":"string","title":"address line 2"},"city":{"type":"string","title":"city name"},"state":{"type":"string","title":"state name"},"zip":{"type":"string","title":"zip code"},"country":{"type":"string","title":"country name"}}},"userOnboardingInfo":{"type":"object","properties":{"step":{"type":"integer","format":"int32","title":"To indicate the current step in the onboarding process"},"answer":{"type":"object","title":"Capture user's answer for that particular step"}}},"rpcStatus":{"type":"object","properties":{"code":{"type":"integer","format":"int32"},"message":{"type":"string"},"details":{"type":"array","items":{"$ref":"#/components/schemas/protobufAny"}}}},"protobufAny":{"type":"object","properties":{"@type":{"type":"string","description":"A URL/resource name that uniquely identifies the type of the serialized\nprotocol buffer message. This string must contain at least\none \"/\" character. The last segment of the URL's path must represent\nthe fully qualified name of the type (as in\n'path/google.protobuf.Duration'). The name should be in a canonical form\n(e.g., leading \".\" is not accepted).\n\nIn practice, teams usually precompile into the binary all types that they\nexpect it to use in the context of Any. However, for URLs which use the\nscheme 'http', 'https', or no scheme, one can optionally set up a type\nserver that maps type URLs to message definitions as follows:\n\n* If no scheme is provided, 'https' is assumed.\n* An HTTP GET on the URL must yield a [google.protobuf.Type][]\n  value in binary format, or produce an error.\n* Applications are allowed to cache lookup results based on the\n  URL, or have them precompiled into a binary to avoid any\n  lookup. Therefore, binary compatibility needs to be preserved\n  on changes to types. (Use versioned type names to manage\n  breaking changes.)\n\nNote: this functionality is not currently available in the official\nprotobuf release, and it is not used for type URLs beginning with\ntype.googleapis.com.\n\nSchemes other than 'http', 'https' (or the empty scheme) might be\nused with implementation specific semantics."}},"additionalProperties":{},"description":"'Any' contains an arbitrary serialized protocol buffer message along with a\nURL that describes the type of the serialized message.\n\nProtobuf library provides support to pack/unpack Any values in the form\nof utility functions or additional generated methods of the Any type.\n\nExample 1: Pack and unpack a message in C++.\n\n    Foo foo = ...;\n    Any any;\n    any.PackFrom(foo);\n    ...\n    if (any.UnpackTo(&foo)) {\n      ...\n    }\n\nExample 2: Pack and unpack a message in Java.\n\n    Foo foo = ...;\n    Any any = Any.pack(foo);\n    ...\n    if (any.is(Foo.class)) {\n      foo = any.unpack(Foo.class);\n    }\n\n Example 3: Pack and unpack a message in Python.\n\n    foo = Foo(...)\n    any = Any()\n    any.Pack(foo)\n    ...\n    if any.Is(Foo.DESCRIPTOR):\n      any.Unpack(foo)\n      ...\n\n Example 4: Pack and unpack a message in Go\n\n     foo := &pb.Foo{...}\n     any, err := anypb.New(foo)\n     if err != nil {\n       ...\n     }\n     ...\n     foo := &pb.Foo{}\n     if err := any.UnmarshalTo(foo); err != nil {\n       ...\n     }\n\nThe pack methods provided by protobuf library will by default use\n'type.googleapis.com/full.type.name' as the type URL and the unpack\nmethods only use the fully qualified type name after the last '/'\nin the type URL, for example \"foo.bar.com/x/y.z\" will yield type\nname \"y.z\".\n\n\nJSON\n====\nThe JSON representation of an 'Any' value uses the regular\nrepresentation of the deserialized, embedded message, with an\nadditional field '@type' which contains the type URL. Example:\n\n    package google.profile;\n    message Person {\n      string first_name = 1;\n      string last_name = 2;\n    }\n\n    {\n      \"@type\": \"type.googleapis.com/google.profile.Person\",\n      \"firstName\": <string>,\n      \"lastName\": <string>\n    }\n\nIf the embedded message type is well-known and has a custom JSON\nrepresentation, that representation will be embedded adding a field\n'value' which holds the custom JSON in addition to the '@type'\nfield. Example (for message [google.protobuf.Duration][]):\n\n    {\n      \"@type\": \"type.googleapis.com/google.protobuf.Duration\",\n      \"value\": \"1.212s\"\n    }"},"authSetUserInfoRequest":{"type":"object","properties":{"contactInfo":{"$ref":"#/components/schemas/userContactInfo"},"firstName":{"type":"string","title":"User's first name"},"lastName":{"type":"string","title":"User's last name"},"userName":{"type":"string","title":"User's username"},"onboardingInfo":{"type":"array","items":{"$ref":"#/components/schemas/userOnboardingInfo"},"title":"Onboarding information filled out by the user"}}}}},"paths":{"/user":{"patch":{"summary":"Set user info","description":"Set editable user info","operationId":"Auth_SetUserInfo","responses":{"200":{"description":"A successful response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/authUserInfoResponse"}},"application/x-protobuf":{"schema":{"$ref":"#/components/schemas/authUserInfoResponse"}}}},"400":{"description":"Returned when the users sends a malformed request.","content":{"application/json":{"schema":{}},"application/x-protobuf":{"schema":{}}}},"401":{"description":"Returned when the user is not authenticated.","content":{"application/json":{"schema":{}},"application/x-protobuf":{"schema":{}}}},"403":{"description":"Returned when the user does not have permission to access the resource.","content":{"application/json":{"schema":{}},"application/x-protobuf":{"schema":{}}}},"404":{"description":"Returned when the resource does not exist.","content":{"application/json":{"schema":{}},"application/x-protobuf":{"schema":{}}}},"500":{"description":"Returned when an error on the server occurred.","content":{"application/json":{"schema":{}},"application/x-protobuf":{"schema":{}}}},"503":{"description":"Returned when the resource is temporarily unavailable.","content":{"application/json":{"schema":{}},"application/x-protobuf":{"schema":{}}}},"default":{"description":"An unexpected error response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rpcStatus"}},"application/x-protobuf":{"schema":{"$ref":"#/components/schemas/rpcStatus"}}}}},"tags":["user"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/authSetUserInfoRequest"}},"application/x-protobuf":{"schema":{"$ref":"#/components/schemas/authSetUserInfoRequest"}}},"required":true}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bytenite.com/api-reference/authentication-api/user.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
